summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Giovanne Castro2010-08-30 06:25:09 +0200
committer Erik Hanson2010-08-30 14:49:34 +0200
commit20b7ced3d631c0f43fa30d6d745a8fbd76d81c7a (patch)
treef52557702373c4c84725788041f5e3bb2f57ab18 /libraries
parentd40ad949732cadaab2855139a621857a8187e86a (diff)
downloadslackbuilds-20b7ced3d631c0f43fa30d6d745a8fbd76d81c7a.tar.gz
libraries/libkdcraw: Added (C++ interface to dcraw)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libkdcraw/README6
-rw-r--r--libraries/libkdcraw/doinst.sh6
-rw-r--r--libraries/libkdcraw/libkdcraw.SlackBuild99
-rw-r--r--libraries/libkdcraw/libkdcraw.info10
-rw-r--r--libraries/libkdcraw/slack-desc19
5 files changed, 140 insertions, 0 deletions
diff --git a/libraries/libkdcraw/README b/libraries/libkdcraw/README
new file mode 100644
index 0000000000..1e399ca539
--- /dev/null
+++ b/libraries/libkdcraw/README
@@ -0,0 +1,6 @@
+Libkdcraw is a C++ interface around the dcraw binary program used to decode
+RAW picture files. This library is used by kipi-plugins, digiKam, and other
+kipi host programs.
+
+This build script uses a svn snapshot that was downloaded and is hosted
+by the script maintainer.
diff --git a/libraries/libkdcraw/doinst.sh b/libraries/libkdcraw/doinst.sh
new file mode 100644
index 0000000000..30eb690936
--- /dev/null
+++ b/libraries/libkdcraw/doinst.sh
@@ -0,0 +1,6 @@
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/libraries/libkdcraw/libkdcraw.SlackBuild b/libraries/libkdcraw/libkdcraw.SlackBuild
new file mode 100644
index 0000000000..53c3dd784a
--- /dev/null
+++ b/libraries/libkdcraw/libkdcraw.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for libkdcraw
+
+# Copyright 2010 by Giovanne Castro, Campinas, Sao Paulo, Brazil <giovannefc@ig.com.br>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libkdcraw
+VERSION=${VERSION:-svn_20100824}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libkdcraw/libkdcraw.info b/libraries/libkdcraw/libkdcraw.info
new file mode 100644
index 0000000000..3913d6d69a
--- /dev/null
+++ b/libraries/libkdcraw/libkdcraw.info
@@ -0,0 +1,10 @@
+PRGNAM="libkdcraw"
+VERSION="svn_20100824"
+HOMEPAGE="http://www.kipi-plugins.org/"
+DOWNLOAD="http://www.ginoepri.com/linux/libkdcraw-svn_20100824.tar.gz"
+MD5SUM="062c7ddbdac8c7e851cfd20556ecc54d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Giovanne Castro"
+EMAIL="giovannefc@ig.com.br"
+APPROVED="rworkman"
diff --git a/libraries/libkdcraw/slack-desc b/libraries/libkdcraw/slack-desc
new file mode 100644
index 0000000000..729b058d59
--- /dev/null
+++ b/libraries/libkdcraw/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also customary
+# to leave one space after the ':'.
+
+ |----handy-ruler-----------------------------------------------------|
+libkdcraw: libkdcraw (DCRAW program interface for KDE)
+libkdcraw:
+libkdcraw: Libkdcraw is a C++ interface around the dcraw binary program used
+libkdcraw: to decode RAW picture files.
+libkdcraw:
+libkdcraw: This library is used by kipi-plugins, digiKam, and other kipi host
+libkdcraw: programs.
+libkdcraw:
+libkdcraw:
+libkdcraw:
+libkdcraw: